Package Details: thomaswasalone-hib 1+h20130429-2

Git Clone URL: https://aur.archlinux.org/thomaswasalone-hib.git (read-only)
Package Base: thomaswasalone-hib
Description: Thomas Was Alone, a minimalistic puzzle-platformer (Humble Bundle version)
Upstream URL: http://www.thomaswasalone.com/
Keywords: 2D game humble platformer puzzle shapes
Licenses: custom:commercial
Submitter: smls
Maintainer: smls
Last Packager: smls
Votes: 8
Popularity: 0.000000
First Submitted: 2013-05-28 23:44
Last Updated: 2015-07-13 23:27

Dependencies (11)

Required by (0)

Sources (2)

Latest Comments

« First ‹ Previous 1 2

Ichimonji10 commented on 2013-09-07 03:36

Can sucessfully launch application and start a new game, but no am not hearing any audio. pulseaudio and lib32-alsa-lib are installed, but pavucontrol does not show any audio-producing apps: i.imgur.com/QoFKkVv.png

Launching from command line produces no interesting output: http://pastebin.com/5sbtddH7

Any ideas?

smls commented on 2013-06-09 18:13

@Lastebil
The PKGBUILD already did check the architecture, I just left an extraneous "lib32-" in the i686 depends list by accident. It's fixed now.

Lastebil commented on 2013-06-09 10:44

This package _assumes_ you are on a 64 bit system due to the lib32-libxcursor type requirements. Obviously on a 32 bit system, you don't need 32 bit compatibility libraries. You should alter the packagebuild to check the architecture, and if 64 bits, THEN require lib32-libxcursor and similar.

As it is, if you're on a 32 bit system, just yank out the lib32- from in front of libxcursor and make the package as normal.

smls commented on 2013-06-08 17:42

@mikeroll: Thanks

mikeroll commented on 2013-06-08 16:49

Also needs lib32-alsa-lib for sound

Notes for radeon users: you need to install lib32-ati-dri if you haven't already. To enable antialiasing, set GALLIUM_MSAA={ 1 | 2 | 4 | 8 | maybe more? } before launching the game

mikeroll commented on 2013-06-08 15:56

please add lib32-libxcursor to the deps

jokke commented on 2013-06-01 18:29

hey! I edited the PKGBUILD to support the hib-dlagent. Here's the link to the diff: https://gist.github.com/supasnashbuhl/5691275

Would be cool if you included it.